# Amount Object

| No | Name     | Type             | Mandatory | Min Length | Max Length | Description                                                                                                                     |
| -- | -------- | ---------------- | --------- | ---------- | ---------- | ------------------------------------------------------------------------------------------------------------------------------- |
| 1  | value    | String (ISO4217) | M         | 16,2       | 16,2       | Net amount of the transaction. If it’s IDR then value includes 2 decimal digits. e.g. IDR 10.000,- will be placed with 10000.00 |
| 2  | currency | String           | M         | 3          | 3          | Exp. IDR                                                                                                                        |

```
{
  "amount": {
        "value": "10000.00",
        "currency": "IDR"
  }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.finpay.id/api-reference/appendix/json-object/amount-object.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
